%define upstream_name    Data-GUID
%define upstream_version 0.047

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Globally unique identifiers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::UUID) >= 1.148.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Sub::Exporter) >= 0.900.0
BuildRequires: perl(Sub::Install) >= 0.30.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(bytes)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Data::GUID provides a simple interface for generating and using globally
unique identifiers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.47.0-2.mga4
+ Revision: 529486
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 0.47.0-1.mga4
+ Revision: 451975
- update to 0.047

* Sun Jan 13 2013 umeabot <umeabot> 0.46.0-2.mga3
+ Revision: 365342
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 30 2011 dmorgan <dmorgan> 0.46.0-1.mga1
+ Revision: 44769
- New version

* Sat Jan 22 2011 jquelin <jquelin> 0.45.0-1.mga1
+ Revision: 31871
- mageia rebuild
- imported package perl-Data-GUID


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.45.0-1mdv2011.0
+ Revision: 624769
- import perl-Data-GUID

